<?php

/**
 * Play & Learn - Joomla Template
 *
 * @package bt_playlearn
 * @version 1.0
 * @copyright BonusThemes.com 2009
 * @link http://www.bonusthemes.com/goto/bt_playlearn
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

require_once(dirname(__FILE__) . '/template.inc.php');
global $tpl;

$cmenu_css = $tpl->show_menu ? '<link href="' . $tpl->path . '/css/cmenu.css" rel="stylesheet" type="text/css" />' . "\n" : '';
$cmenu_js = $tpl->show_menu ? '<script type="text/javascript" src="' . $tpl->path . '/js/cmenu.js"></script>' . "\n" : '';

$main_tdgap = '<td width="1%" nowrap="nowrap">&nbsp; &nbsp;</td>' . "\n";

if ($tpl->show_menu)
	$cmenu_js .= '
<script type="text/javascript">
// <![CDATA[
document["cmenu_items"] = new Array();
' . $tpl->menu_js . '
// ]]>
</script>

';

echo '
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="' . $this->language . '" lang="' . $this->language . '" >
<head>

<jdoc:include type="head" />

<link href="' . $tpl->path . '/css/layout.css" rel="stylesheet" type="text/css" />
<link href="' . $tpl->path . '/css/template.css" rel="stylesheet" type="text/css" />
' . $cmenu_css . '
<style type="text/css">
.wrapper { width: ' . $tpl->width . 'px; }
</style>

<!--[if IE]>
<style type="text/css">
input#mod_search_searchword { top: 5px; }
</style>
<![endif]-->

<!--[if lt IE 7]>
<link href="' . $tpl->path . '/css/template_ie6.css" rel="stylesheet" type="text/css" />
<script type="text/javascript">
var blankImg = "' . $tpl->path . '/images/blank.gif";
</script>
<style type="text/css">
.pngfix { behavior: url(' . $tpl->path . '/js/iepngfix.htc); }
.pngfix_static { behavior: url(' . $tpl->path . '/js/iepngfix_static.htc); }
</style>
<![endif]-->

' . $cmenu_js . '

<script type="text/javascript" src="' . $tpl->path . '/js/template.js"></script>
<script type="text/javascript" src="' . $tpl->path . '/js/ExtDisplay.js"></script>
<script type="text/javascript" src="' . $tpl->path . '/js/ExtTop.js"></script>

';

echo '</head>' . "\n";

echo '<body>' . "\n";

if ($tpl->seocp)
	echo
'<div style="display:none">
' . $tpl->get_mainbody_pragma() . '
</div>
';

echo '
<div class="wrapper">

	<div id="upper_area">
' . $tpl->get_positions(array('icon', 'toolbar')) . '
	</div>
	<div id="spacer1"></div>

	<table cellspacing="0" cellpadding="0" width="100%">
		<tr>
			<td width="1%" nowrap="nowrap"><img src="' . $tpl->path . '/images/layout/header_left.gif" alt="" /></td>
';

if ($tpl->show_menu) {
	echo '			<td class="header_c">' . "\n";

	for ($i = 0, $len = count($tpl->menu_head_tags); $i < $len; $i++) {
		$mi = &$tpl->menu_head_tags[$i];

		if ($i > 0)
			echo '				<div class="cmenu_hd_gap">&nbsp;</div>' . "\n";

		printf('
				<div class="cmenu_hd_%1$s" id="%2$s">%3$s%4$s</div>
',
			$mi->selection == 0 ? 'norm' : 'sel',
			$mi->head_id,
			$mi->full_link,
			empty($mi->sub_menu_items) ? '' : ' &nbsp; <img src="' . $tpl->path . '/images/layout/menu_submenu.gif" alt="" />'
		);
	}

	echo '			</td>' . "\n";
}
else if ($tpl->modcount('header')) {
	echo $tpl->get_position('header', false, false);
}
else {
	echo '			<td class="header_c">&nbsp;</td>' . "\n";
}

echo '
			<td width="218" id="search_area">' . $tpl->get_position('search', false, false) . '</td>
		</tr>
	</table>

	<div id="inset_area">' . $tpl->get_position('inset', false, false) . '</div>
	<div id="spacer2"></div>
';

if ($tpl->modcount('top'))
	echo '
	<div id="top_area"><div id="top_area_left"><div id="top_area_right"><div class="inner">
		<div id="top_container"></div>
	</div></div></div></div>
	<div id="top_button_left"><div id="top_button_left_tag"></div></div>
	<div id="top_button_right"><div id="top_button_right_tag"></div></div>
';
else if ($tpl->modcount('display') > 0 && $tpl->modcount('top') == 0)
	echo '
<div id="spacer3"></div>
';

if ($tpl->modcount('left') || $tpl->modcount('right'))
	echo '
	<div><table cellspacing="0" cellpadding="0" width="100%">
		<tr>
';

if ($tpl->modcount('left'))
	echo '
			<td id="left_area" valign="top"' . $tpl->td_width('left', true) . '>
				<div class="inner">
					<div id="spacer_left_up"></div>
' . $tpl->get_position('left') . '
				</div>
			</td>
';

if ($tpl->modcount('left') || $tpl->modcount('right'))
	echo '
			<td valign="top" id="central_area_td">
';

echo '
<div id="central_area">
';

if ($tpl->modcount('display'))
	echo '
	<div id="display_area">
		<div id="spacer4"></div>
		<div id="display_container" class="inner"></div>
		<div id="spacer5"></div>
	</div>
';

if ($tpl->show_body) {
	if ($tpl->modcount('breadcrumb'))
		echo '
	<div id="pathway">
		<table cellspacing="0" cellpadding="0">
			<tr>
				<td>
					<a href="' . $tpl->get_home() . '" onfocus="blur()"><img id="pathway_home" src="' . $tpl->path . '/images/layout/home.gif" alt="Home" border="0" /></a>
					<span id="pathway_notice">' . $tpl->str('You are here:') . ' </span>
				</td>
				<td width="4"><img src="' . $tpl->path . '/images/arrow.png" alt=""  /></td>
' . $tpl->get_pathway() . '
			</tr>
		</table>
	</div>
';
	echo '
	<div class="inner">
		<div id="spacer6"></div>
' . $tpl->get_positions(array('newsflash'), 'spacer7') . '
' . $tpl->get_positions(array('news1', 'news2', 'news3'), 'spacer8') . '
' . $tpl->get_mainbody_wrapper() . '
' . $tpl->get_positions(array('notice1', 'notice2', 'notice3'), 'spacer9', false) . '
' . $tpl->get_positions(array('banner'), 'spacer10', false) . '
		<div id="spacer11"></div>
	</div>
';
}

echo '
</div>
';

if ($tpl->modcount('left') || $tpl->modcount('right'))
	echo '
			</td>
';

if ($tpl->modcount('right'))
	echo '
			<td id="right_area" valign="top"' . $tpl->td_width('right', true) . '>
				<div class="inner">
					<div id="spacer_right_up"></div>
' . $tpl->get_position('right') . '
				</div>
			</td>
';

if ($tpl->modcount('left') || $tpl->modcount('right'))
	echo '
		</tr>
	</table></div>
';


if ($tpl->modcount('advert1') || $tpl->modcount('advert2') || $tpl->modcount('advert3') || $tpl->modcount('advert4')) {
	echo '
<div id="advert_area"><div class="inner">
	<div id="spacer12"></div>
' . $tpl->get_positions(array('advert1', 'advert2', 'advert3', 'advert4')) . '
	<div id="spacer13"></div>
</div></div>
';
}


if ($tpl->modcount('bottom1') || $tpl->modcount('bottom2') || $tpl->modcount('bottom3') || $tpl->modcount('bottom4')) {
	echo '
<div id="bottom_area"><div class="inner">
	<div id="spacer14"></div>
' . $tpl->get_positions(array('bottom1', 'bottom2', 'bottom3', 'bottom4')) . '
	<div id="spacer15"></div>
</div></div>
';
}


echo '
		<table cellspacing="0" cellpadding="0" width="100%">
			<tr>
				<td width="8" valign="top"><img src="' . $tpl->path . '/images/layout/footer_l.gif" alt="" border="0" /></td>
';

if ($tpl->lshow)
	echo '				<td width="49" valign="middle" class="footer_c"><a id="lshow" href="http://joomfans.com" onfocus="blur()" target="_blank"><img src="' . $tpl->path . '/images/layout/btlogo.gif" border="0" alt="" /></a></td>' . "\n";

echo '
				<td align="center" valign="middle" class="footer_c">
' . ($tpl->modcount('footer') ? '<div id="footer_area">' . $tpl->get_position('footer', true) . '</div>' : '&nbsp;') . '
				</td>
				<td width="39" align="right" valign="middle" class="footer_c"><a href="javascript:void(0)" onfocus="blur()" onclick="goto_top()"><img src="' . $tpl->path . '/images/layout/goto_top.gif" alt="Top" border="0" /></a></td>
				<td width="8" valign="top"><img src="' . $tpl->path . '/images/layout/footer_r.gif" alt="" border="0" /></td>
			</tr>
		</table>
';

echo $tpl->get_positions(array('legals'), 'spacer16', false);

echo '
	<div id="spacer17"></div>
</div>
';

foreach (array('top', 'display', 'aux1', 'aux2', 'aux3', 'aux4', 'aux5') as $position)
	echo $tpl->get_hidden_position($position);

echo $tpl->get_position('debug');

echo '
</body>
</html>
';

?>